curl --request GET \
--url https://api.example.com/api/dataproduct/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/dataproduct/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/dataproduct/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/dataproduct/datasets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/dataproduct/datasets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/dataproduct/datasets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/dataproduct/datasets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dataproduct": {
"urn": "<string>",
"id": "",
"name": "",
"description": "",
"external_url": "",
"asset_count": 0,
"domain": {
"urn": "",
"name": ""
},
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
],
"owners": [
"<string>"
],
"docs": [
{
"type": "<string>",
"url": "<string>",
"description": "<string>",
"urn": "<string>",
"title": "<string>",
"subtype": "<string>",
"snippet": "<string>",
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
]
}
]
},
"tables": [
{
"urn": "<string>",
"name": "",
"qualified_name": "",
"description": "",
"platform": "",
"columns": [
{
"name": "",
"description": "",
"type": "",
"native_type": "",
"nullable": true,
"is_key": false,
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
]
}
],
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
]
}
],
"table_count": 0,
"other_assets": [
{
"urn": "<string>",
"type": ""
}
],
"docs": [
{
"type": "<string>",
"url": "<string>",
"description": "<string>",
"urn": "<string>",
"title": "<string>",
"subtype": "<string>",
"snippet": "<string>",
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
]
}
],
"doc_count": 0
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Retrieves datasets of a data product
Retrieves every table and doc associated with a data product, including each table’s columns and the documentation attached to the product.
curl --request GET \
--url https://api.example.com/api/dataproduct/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/dataproduct/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/dataproduct/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/dataproduct/datasets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/dataproduct/datasets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/dataproduct/datasets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/dataproduct/datasets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dataproduct": {
"urn": "<string>",
"id": "",
"name": "",
"description": "",
"external_url": "",
"asset_count": 0,
"domain": {
"urn": "",
"name": ""
},
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
],
"owners": [
"<string>"
],
"docs": [
{
"type": "<string>",
"url": "<string>",
"description": "<string>",
"urn": "<string>",
"title": "<string>",
"subtype": "<string>",
"snippet": "<string>",
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
]
}
]
},
"tables": [
{
"urn": "<string>",
"name": "",
"qualified_name": "",
"description": "",
"platform": "",
"columns": [
{
"name": "",
"description": "",
"type": "",
"native_type": "",
"nullable": true,
"is_key": false,
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
]
}
],
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
]
}
],
"table_count": 0,
"other_assets": [
{
"urn": "<string>",
"type": ""
}
],
"docs": [
{
"type": "<string>",
"url": "<string>",
"description": "<string>",
"urn": "<string>",
"title": "<string>",
"subtype": "<string>",
"snippet": "<string>",
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
]
}
],
"doc_count": 0
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
URN of the data product, such as urn:li:dataProduct:sales_orders.
Maximum number of assets to return.
1 <= x <= 200Maximum number of documents to return. Use 0 to skip them.
0 <= x <= 100Response
Retrieved datasets successfully.
Tables and documentation associated with a single data product.
The data product you queried.
Show child attributes
Show child attributes
Dataset assets linked to the data product, with their columns.
Show child attributes
Show child attributes
Number of tables in this response.
Assets linked to the data product that are not datasets, such as dashboards or pipelines.
Show child attributes
Show child attributes
Documentation for the data product: its institutional-memory links, plus DataHub documents in its domain that match the product name.
Show child attributes
Show child attributes
Number of docs in this response.
Was this page helpful?

